ppwstory/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story_6.urls')),
    path('', include('story_7.urls')),
    path('', include('story_8.urls')),
    path('', include('story_9.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]

story_6/urls.py
from django.urls import path
from .views import add_status

app_name = "story_6"

urlpatterns = [
    path('', add_status, name="add_status"),
]

story_7/urls.py
from django.urls import path
from .views import resume

app_name = "story_7"

urlpatterns = [
    path('resume/', resume, name="resume"),
]

story_8/urls.py
from django.urls import path
from .views import books_list

app_name = "story_8"

urlpatterns = [
    path('story_8/', books_list, name="books_list"),
]

story_9/urls.py
from django.urls import path, include
from story_9 import views
from .views import register
from django.shortcuts import render

app_name = 'story_9'

urlpatterns = [
    path('story_9/', register, name='register'),
]

story_6/models.py
from django.db import models
from django.utils import timezone

# Create your models here.
class Status(models.Model):
    status_text = models.CharField(max_length = 300)
    time = models.DateTimeField(default = timezone.now)

story_7/models.py
from django.db import models

# Create your models here.

story_8/models.py
from django.db import models

# Create your models here.

story_9/models.py
from django.db import models

# Create your models here.

story_6/forms.py
from django import forms
from .models import Status

class StatusForm(forms.ModelForm):
    class Meta:
        model = Status
        fields = ['status_text',]
        labels = {'status_text' : 'Status'}
        widgets = {
            'status_text' : forms.TextInput(attrs={'class' : 'form-control',
                'type': 'text', 'placeholder' : 'Please write your status here.'})
        } 

story_6/views.py
from django.shortcuts import redirect, render
from .forms import StatusForm
from .models import Status

# Create your views here.

def add_status(request):
    if request.method == 'POST':
        form = StatusForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('story_6:add_status')
        
    else:
        form = StatusForm()

    content = {
        'form' : form,
        'all_status' : Status.objects.all().order_by('-id')
    }

    return render(request, 'status.html', content)

story_7/views.py
from django.shortcuts import render

# Create your views here.
def resume(request):
    return render(request, 'Resume.html')
    

story_8/views.py
import requests
import json

from django.http import HttpResponse, JsonResponse
from django.shortcuts import render

# Create your views here.

def books_list(request):
    return render(request, 'books_list.html')

story_9/views.py
from django.shortcuts import render

# Create your views here.

def register(request):
    return render(request, 'registration.html')

story_6/templates/base.html
<!DOCTYPE html>
<html>
    <head>
        <meta charset = "utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Khadijah's Status</title>
        <link href="https://fonts.googleapis.com/css?family=Muli:400,700,800|Varela+Round&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        {% block script %}{% endblock %}
    </head>

    <body>
        <div class = "container" class = "position-relative">
            <!-- Content -->
            {% block content %} {% endblock %}
        </div>
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  </body>
</html>
        

story_6/templates/status.html
{% extends 'base.html' %}

{% block content %}
<div class = "form-content">
    <h1>Halo, apa kabar?</h1>
    <form action = "{% url 'story_6:add_status' %}" method="POST">
        <div id="status-input">
        {% csrf_token %}
        {{ form }}
        </div>
    <br>
        <button type = "submit" class = "button
        btn-primary active btn-danger" value = "Save">
        Post Status! </button>
    </form>
    <br>
    <br>
    <h2><b>List of Status</b></h2>
        {% for status in all_status %}
        <div style = "margin: 1rem 0">
            <div class = "date" style = "color: grey">{{ status.time }} </div>
            <div class = "text" style = "font-size: 1.5 rem">{{ status.status_text }}</div>
        </div>
        {% endfor %}
</div>
{% endblock %}

story_7/templates/Resume.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
  <meta charset = "utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">      
  <title>Khadijah's Resume</title>
  <link href="https://fonts.googleapis.com/css?family=Muli:400,700,800|Varela+Round&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="/resources/demos/style.css">
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <link rel="stylesheet" type="text/css" href="{% static 'styles.css' %}">
  <script>
  $( function() {
    $( "#accordion" ).accordion({
      collapsible: true,
      heightStyle: "content"
    });
  } );
  </script>
</head>

<body>
  <label class="switch">
    <input id="theme" type="checkbox">
    <span class="slider round"></span>
  </label>
  <br>Change Theme

  <h1>My Resume</h1>
  <p>My name is <b>Khadijah Rizqy Mufida.</b>
    <div id="description">I'm a sophomore in <b>Computer Science</b> at <b><u>Universitas Indonesia</u></b>.
      A volunteering enthusiast.</div></p>
  <div id="accordion">
    <h3 style="font-family: Varela Round;">Current Activities</h3>
    <div style="font-family: 'Muli', sans-serif;">
    <p>
      <div style="font-family: Varela Round;"><b>Staff of Research and Strategic Actions BEM Fasilkom UI</b></div>
          <br>(January 2019 - present)
          <br>As a staff, I have to create an essay on
          certain topics in Medium. As a department,
          we have held several discussions called 'Obrolan
          Santai' in which we invite speakers to speak
          about topics, one of it Data Privacy Protection.</p>
      <p>
        <div style="font-family: Varela Round;"><b>Member of Entrepreneurship SIG SISTEM Fasilkom UI</b></div>
          <br>(January 2019-present)
          <br>As a member, we have internal classes on the
          theme Entrepreneurship with several Fasilkom
          alumnae. As a staff, I arranged a workshop on the
          theme of ‘Determining Target Market’.</p>
      <p>
      <p>
          <div style="font-family: Varela Round;"><b>Teaching Assistant at Fasilkom, Universitas Indonesia</b></div>
            <br>(September 2019 - present)
            <br>Tutored in Calculus 1 every two weeks to exercise questions and graded the students’ homeworks.
      </p>  
    </div>
    <h3 style="font-family: Varela Round;">Work Experiences</h3>
    <div style="font-family: 'Muli', sans-serif;">
      <p>
        <div style="font-family: Varela Round;"><b>Research Assistant in Reliable Software Engineering Lab, Fasilkom UI</b></div>
          <br>(April-September 2019)
          <br>I analyzed the features needed to build the AISCO software by doing surveys with charity organizations to be reported back and helped developed the software.
          I also conducted user testing surveys. The developed software was tested to several potential users and was given the feedbacks needed to further develop the app.</p>
    </div>
    <h3 style="font-family: Varela Round;">Organizations</h3>
    <div style="font-family: 'Muli', sans-serif;">
      <p>
          <div style="font-family: Varela Round;"><b>HRD of Software Engineering Academy at COMPFEST 11</b></div>
          <br>(January-August 2019)
          <br>Being Human Resources Development for one
          of COMPFEST's division, SEA. My work includes
          making sure the staffs are fully optimal in the
          way their work, setting up meetings and being
          the middle-man between staffs and PIC.
        </p>
    </div>
    <h3 style="font-family: Varela Round;">Achievements</h3>
    <div style="font-family: 'Muli', sans-serif;">
          <ul>
            <li><div style="font-family: Varela Round;"><b>XL Future Leaders Batch 8</b></div></li>
            <li><div style="font-family: Varela Round;"><b>CS Leaders Scholars</b></div></li>
          </ul>
    </div>
  </div>
  <script src="{% static 'change_theme.js' %}"></script>
</body>
</html>

story_8/templates/books_list.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
	<title>Books</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<div class="container">
    <h1>Khadijah's List of Books
    </h1>
    <form class="form-inline">
        <input class="form-control mr-3 w-40" id="search" type="text" placeholder="Search" aria-label="Search">
    </form>
    <button class="search btn" style="margin-bottom:1rem; font-size:1rem" type="submit"><i class="fa fa-search"></i></button>
    
    <table class="table table-borderless" style="margin-top:2rem">
        <thead class="table-light text-center">
          <tr>
            <th scope="col">Cover</th>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Date</th>
          </tr>
        </thead>
        <tbody class="text-center" id="book">
        </tbody>
    </table>
</div>
<script>
    $('.search').click(function() {
        var keyword = $('#search').val();
        $.ajax({
            url: "https://www.googleapis.com/books/v1/volumes?q="+keyword,
            dataType: 'json',
            success: function(result) {
                $("#book").html("");
                for(i=0; i < result.items.length; i++) {
                    $("#book").append("<tr><td><img src="+
                    result.items[i].volumeInfo.imageLinks.thumbnail+"alt='cover'/></td><td>"+
                    result.items[i].volumeInfo.title+"</td><td>"+
                    result.items[i].volumeInfo.authors+"</td><td>"+
                    result.items[i].volumeInfo.publishedDate+"</td></tr>");
                }
            }
        });
    });

    $(document).ready(function(){
        $.ajax({
            url: "https://www.googleapis.com/books/v1/volumes?q=papa",
            dataType: 'json',
            success: function(result) {
                $("#book").html("");
                for(i=0; i < result.items.length; i++) {
                    $("#book").append("<tr><td><img src="+
                    result.items[i].volumeInfo.imageLinks.thumbnail+"alt='cover'/></td><td>"+
                    result.items[i].volumeInfo.title+"</td><td>"+
                    result.items[i].volumeInfo.authors+"</td><td>"+
                    result.items[i].volumeInfo.publishedDate+"</td></tr>");
                }
            }
        });
    });
</script>
</body>
</html>

story_9/templates/registration.html
<!DOCTYPE html>
<html lang="en">
    {% load static %}
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        <!-- BootstrapCDN CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
   
        <!-- BootstrapCDN JavaScript -->
        <script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js" integrity="sha256-T0Vest3yCU7pafRw9r+settMBX6JkKN06dqBnpQ8d30=" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        

        <title>Registration</title>
    </head>

    <body class="nav_body">
        {% if form.errors %}
      <p>Your username and password didn't match. Please try again.</p>
    {% endif %}

    {% if next %}
      {% if user.is_authenticated %}
        <p>Your account doesn't have access to this page. To proceed,
        please login with an account that has access.</p>
      {% else %}
        <p>Please login to see this page.</p>
      {% endif %}
    {% endif %}
       <div class="container">
            <div class="row justify-content-md-center">
                <div class="col-md-auto">
                    <h3>Welcome,</h3>
                </div>
            </div>
            <div class="row justify-content-md-center">
                <div class="col-md-auto">
                    <h1>{{ user.get_username }}!</h1>
                </div>
            </div>
            <div class="row justify-content-md-center">
                <div class="col-md-auto">
                    <h3>Please visit the sites below,</h3>
                </div>
            </div>
            
            
            <div class="row" id="buttons">
                <div class="col-sm text-center">
                    <a href="{% url 'story_6:add_status' %}" class="btn btn-outline-danger">Status</a>
                </div>
                <div class="col-sm text-center">
                    <a href="{% url 'story_7:resume' %}" class="btn btn-outline-danger">Profile</a>
                </div>
                <div class="col-sm text-center">
                    <a href="{% url 'story_8:books_list' %}" class="btn btn-outline-danger">Books</a>
                </div>
            </div>

            <div class="row justify-content-md-center">
                <div class="col-md-auto">
                    <h3>or logout.</h3>
                </div>
            </div>

            <div class="row justify-content-md-center">
                <a href="{% url 'logout'%}" class="btn btn-danger btn-lg">Logout</a>
            </div>
        </div>
    </body>
    
</html>